libglom-1.16 1.16.3

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# Glom::LayoutItem_Summary Class Reference

Inheritance diagram for Glom::LayoutItem_Summary:
[legend]
Collaboration diagram for Glom::LayoutItem_Summary:
[legend]

List of all members.

## Public Member Functions
| LayoutItem_Summary ()
| LayoutItem_Summary (const LayoutItem_Summary& src)
LayoutItem_Summary& | operator= (const LayoutItem_Summary& src)
virtual | ~LayoutItem_Summary ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

## Constructor & Destructor Documentation

Glom::LayoutItem_Summary::LayoutItem_Summary | ( |  | ) |

Glom::LayoutItem_Summary::LayoutItem_Summary | ( | const LayoutItem_Summary& | src | ) |

virtual Glom::LayoutItem_Summary::~LayoutItem_Summary | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_Summary::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Reimplemented from Glom::LayoutGroup.

virtual Glib::ustring Glom::LayoutItem_Summary::get_part_type_name | ( |  | ) | const`[virtual]`

Reimplemented from Glom::LayoutGroup.

virtual Glib::ustring Glom::LayoutItem_Summary::get_report_part_id | ( |  | ) | const`[virtual]`

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutGroup.

LayoutItem_Summary& Glom::LayoutItem_Summary::operator= | ( | const LayoutItem_Summary& | src | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/report_parts/layoutitem_summary.h